تیم ها
GET https://mybotsy.com/api/teams/
curl --request GET \
--url 'https://mybotsy.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mybotsy.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| search | اختیاری رشته | رشته جستجو |
| search_by | اختیاری رشته | در چه زمینه ای جستجو می کنید مقادیر مجاز عبارتند از: name. |
| datetime_field | اختیاری رشته | مقادیر مجاز: datetime, last_datetime |
| datetime_start | اختیاری رشته | نتایج از این تاریخ را فیلتر کنید. فرمت Ymd H:i:s . |
| datetime_end | اختیاری رشته | نتایج را تا این تاریخ فیلتر کنید. فرمت Ymd H:i:s . |
| order_by | اختیاری رشته | نتایج را بر اساس چه رشته ای سفارش دهیم. مقادیر مجاز عبارتند از: team_id, datetime, last_datetime, name. |
| order_type | اختیاری رشته | ترتیب نتایج. مقادیر مجاز عبارتند از: ASC برای ترتیب صعودی و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح | شماره صفحه ای که می خواهید از آن نتیجه بگیرید. پیش فرض 1 است. |
| results_per_page | اختیاری عدد صحیح | در هر صفحه چند نتیجه می خواهید. مقادیر مجاز عبارتند از: 10, 25, 50, 100, 250, 500, 1000. پیشفرض 25 است. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-10-31 02:18:43",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-10-31 02:18:43"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://mybotsy.com/api/teams?page=1",
"last": "https://mybotsy.com/api/teams?page=1",
"next": null,
"prev": null,
"self": "https://mybotsy.com/api/teams?page=1"
}
}
GET https://mybotsy.com/api/teams/{team_id}
curl --request GET \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-10-31 02:18:43",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-10-31 02:18:43"
}
}
POST https://mybotsy.com/api/teams
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| name | الزامی است رشته | - |
curl --request POST \
--url 'https://mybotsy.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
--url 'https://mybotsy.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "My team",
"team_members": [],
"last_datetime": null,
"datetime": "2026-10-31 02:18:43"
}
}
POST https://mybotsy.com/api/teams/{team_id}
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| name | اختیاری رشته | - |
curl --request POST \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "My new team name",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-10-31 02:18:43",
"last_datetime": null
}
],
"last_datetime": "2026-10-31 02:18:43",
"datetime": "2026-10-31 02:18:43"
}
}
DELETE https://mybotsy.com/api/teams/{team_id}
curl --request DELETE \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \